Getting following error while trying to access Fantastico : Warning: php_uname() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1013 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1029 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1030 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1031 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1032 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1033 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1034 Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1035

ARUN Posted in ERROR, FANTASTICO, WHM BACKEND, WHM FRONTEND
0

Warning: php_uname() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1013

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1029

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1030

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1031

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1032

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1033

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1034

Warning: shell_exec() has been disabled for security reasons in /tmp/cpanel_phpengine.1306989206.272778s_v9ctir4 on line 1035

 

Solution :  /scripts/makecpphp

Fantastico gives error : Site error: the file /usr/local/cpanel/3rdparty/fantastico/includes/enc_restrictions.inc.php requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the site administrator.

ARUN Posted in ERROR, FANTASTICO
0

Fantastico gives error :

Site error: the file /usr/local/cpanel/3rdparty/fantastico/includes/enc_restrictions.inc.php  requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be  installed by the site administrator.

Solution :

Install ioncube loader if not enabled.

/scripts/phpextensionmanager install ioncubeloader

Whm >> Tweak Settings >> Under php Session >> Loader to use for internal cPanel PHP (Use oldsourceguardian for version 1.x and 2.x)

Check if ioncube is enabled, if not enable that

/scripts/makescpphp

If still not fixed add a cron or execute the command

*/15 * * * * /usr/local/cpanel/bin/checkphpini >/dev/null 2>&1